cURL
curl -X POST \
/invoices/{id}/comment \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"comment": ""
}'import requests
url = "https://coreapi.io/invoices/{id}/comment"
payload = { "comment": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://coreapi.io/invoices/{id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"dateTime": "2023-11-07T05:31:56Z",
"type": "commented",
"user": {
"user": {
"firstName": "John",
"lastName": "Doe",
"email": "jsmith@example.com"
},
"deactivated": true,
"avatar": "<string>",
"fullName": "<string>",
"initial": "<string>",
"gravatarUrl": "<string>"
},
"metadata": {},
"pinned": true
}Invoice
Add comment
Add comment. This is available for invoices, credit notes and cancellations.
Required permissions:invoice:writePOST
/
invoices
/
{id}
/
comment
cURL
curl -X POST \
/invoices/{id}/comment \
--header "Content-Type: application/json" \
--header "Authorization: Bearer <token>" \
--data '{
"comment": ""
}'import requests
url = "https://coreapi.io/invoices/{id}/comment"
payload = { "comment": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://coreapi.io/invoices/{id}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoices/{id}/comment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'comment' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"dateTime": "2023-11-07T05:31:56Z",
"type": "commented",
"user": {
"user": {
"firstName": "John",
"lastName": "Doe",
"email": "jsmith@example.com"
},
"deactivated": true,
"avatar": "<string>",
"fullName": "<string>",
"initial": "<string>",
"gravatarUrl": "<string>"
},
"metadata": {},
"pinned": true
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
Invoice identifier
Body
application/jsontext/html
The new Invoice resource
Required string length:
1 - 5000Antwort
Invoice resource created
Verfügbare Optionen:
commented, customer.created, customer.email.added, customer.email.default_changed, customer.address.added, subscription.removed, custom_fields.updated, customer.address.default_changed, customer.updated, stripe.customer.attached, customer.archived, customer.unarchived, customer.group.assigned, customer.contact_person.assigned, customer.contact_person.removed, customer.partner.assigned, customer.partner.removed, customer.vat_id.validated, customer.vat_id.invalidated, subscription.trial.extended, subscription.trial.revoked, subscription.payment_method.updated, subscription.billing_group.updated, subscription.activated, subscription.cancelled, subscription.terminated, subscription.updated, subscription.invoice_address.updated, subscription.paused, subscription.resumed, subscription.cancellation.revoked, subscription.item.added, subscription.offer.created, product.created, product.updated, product.archived, product.unarchived, subscription.created, api_key.created, payment_gateway.configured, tenant.completed, checkout_link.created, price.created, user.invitation.sent, tenant.updated, tenant.created, tenant.account.added, user.invitation.accepted, user.invitation.revoked, webhook.created, get_started.finished, customer.removed, invoice.removed, invoice.created, invoice.finalized, invoice.credited, invoice.imported, invoice.payment.initiated, invoice.sent, invoice.paid, invoice.payment_method.updated, invoice.canceled, invoice.closed, invoice.refunded, invoice.unpaid, invoice.requires_approval, invoice.dunning.applied, payment.retry, payment.payment_method.updated, payment.failed, invoice.dunning.disabled, invoice.dunning.enabled, invoice.updated, import.completed Nulled users are system activities
Show child attributes
Show child attributes
Show child attributes
Show child attributes
War diese Seite hilfreich?